Extract text from video frames using OCR (async)
curl --request POST \
--url https://api.urltodata.ai/v1/video/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.urltodata.ai/v1/video/ocr"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.urltodata.ai/v1/video/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
Extract text from video frames using OCR (async)
POST
/
v1
/
video
/
ocr
Extract text from video frames using OCR (async)
curl --request POST \
--url https://api.urltodata.ai/v1/video/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.urltodata.ai/v1/video/ocr"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.urltodata.ai/v1/video/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Body
application/json
Response
Job created